Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXcursor runtime library
Name: 		libXcursor
Version: 	1.1.11
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
Source1: 	index.theme

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXfixes-devel
BuildRequires: 	libXrender-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libXcursor runtime library

%package devel
Summary: 	X.Org X11 libXcursor development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# xorg-x11-proto-devel os needed by xcursor.pc
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXcursor development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
#export CFLAGS="$RPM_OPT_FLAGS -DICONDIR=\"/usr/share/icons\""
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/default
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/default/index.theme

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXcursor.so.1
%{_libdir}/libXcursor.so.1.0.2
%dir %{_datadir}/icons
%dir %{_datadir}/icons/default
%config(noreplace) %verify(not md5 size mtime) %{_datadir}/icons/default/index.theme

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/Xcursor/Xcursor.h
%if %{with_static}
%{_libdir}/libXcursor.a
%endif
%{_libdir}/libXcursor.so
%{_libdir}/pkgconfig/xcursor.pc
%{_mandir}/man3/Xcursor.3.gz
%{_mandir}/man3/XcursorCursorsCreate.3.gz
%{_mandir}/man3/XcursorCursorsDestroy.3.gz
%{_mandir}/man3/XcursorFilenameLoad.3.gz
%{_mandir}/man3/XcursorFilenameLoadAllImages.3.gz
%{_mandir}/man3/XcursorFilenameLoadCursor.3.gz
%{_mandir}/man3/XcursorFilenameLoadImage.3.gz
%{_mandir}/man3/XcursorFilenameLoadImages.3.gz
%{_mandir}/man3/XcursorFilenameSave.3.gz
%{_mandir}/man3/XcursorFilenameSaveImages.3.gz
%{_mandir}/man3/XcursorGetDefaultSize.3.gz
%{_mandir}/man3/XcursorGetTheme.3.gz
%{_mandir}/man3/XcursorImageCreate.3.gz
%{_mandir}/man3/XcursorImageDestroy.3.gz
%{_mandir}/man3/XcursorImagesCreate.3.gz
%{_mandir}/man3/XcursorImagesDestroy.3.gz
%{_mandir}/man3/XcursorLibraryLoadCursor.3.gz
%{_mandir}/man3/XcursorLibraryLoadCursors.3.gz
%{_mandir}/man3/XcursorLibraryLoadImage.3.gz
%{_mandir}/man3/XcursorLibraryLoadImages.3.gz
%{_mandir}/man3/XcursorSetDefaultSize.3.gz
%{_mandir}/man3/XcursorSetTheme.3.gz
%{_mandir}/man3/XcursorShapeLoadCursor.3.gz
%{_mandir}/man3/XcursorShapeLoadCursors.3.gz
%{_mandir}/man3/XcursorShapeLoadImage.3.gz
%{_mandir}/man3/XcursorShapeLoadImages.3.gz
%{_mandir}/man3/XcursorSupportsARGB.3.gz
%{_mandir}/man3/XcursorXcFileLoad.3.gz
%{_mandir}/man3/XcursorXcFileLoadAllImages.3.gz
%{_mandir}/man3/XcursorXcFileLoadImage.3.gz
%{_mandir}/man3/XcursorXcFileLoadImages.3.gz
%{_mandir}/man3/XcursorXcFileSave.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.11-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-4
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-3
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.9-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- Version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.8-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.7-1
- Initial release
